Cyberduck Mountain Duck CLI

#6898 closed enhancement (duplicate)

Uploads should Inherit the Bucket Default ACL

Reported by: Graham Owned by: dkocher
Priority: normal Milestone: 4.4
Component: google-storage Version: 4.2.1
Severity: normal Keywords: Google, Cloud, Bucket
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Not sure if this is an enhancement or defect, so I'll let you guys make the call...

Having read through the Google information on Access Control: https://developers.google.com/storage/docs/accesscontrol

My understanding is that if you don't specific any permissions on upload, then the object should inherit the 'default ACL' specified on the bucket. But this doesn't appear to be the case for uploads in Cyberduck.

To test, I turned off everything in the Cyberduck Preferences\Transfers\Permissions by unticking both upload and download.

Then when I check the ACL on an object that been uploaded with Cyberduck, the FULL_CONTROL permission is explicitly set for my Google Storage ID.

If I repeat the same process using Google's 'gsutil', the behaviour explained in their document happens. The object gets an ACL based on the bucket's default ACL. Which, if the bucket was created with the defaults, would be the canned ACL 'project-private', which is then expanded out into the relevant permissions.

Would it be possible to have Cyberduck respect the default behaviour for uploads when no explicit permissions are applied? I.e. the uploaded object should inherit the permissions from the default ACL.

Even better (but not absolutely required), would be a section in the Preferences for 'Google Cloud Storage', where the 'canned ACLs' could be selected. I.e. Things like, 'project-private', 'private', 'public-read', etc.

(All the 'canned ACLs' and their meaning can be found from running 'gsutil help acls' - but I'm sure you know that!)

Now that would be outstanding!

Change History (3)

comment:1 Changed on Oct 5, 2012 at 1:40:05 PM by dkocher

  • Component changed from core to google-storage
  • Owner set to dkocher
  • Summary changed from Uploads to Google Cloud Storage should Inherit the Bucket Default ACL to Uploads should Inherit the Bucket Default ACL

The default is currently set to theprivate canned ACL.

comment:2 Changed on Jun 29, 2013 at 9:41:36 PM by dkocher

See also #5711.

comment:3 Changed on Jul 23, 2013 at 2:49:57 PM by dkocher

  • Milestone set to 4.4
  • Resolution set to duplicate
  • Status changed from new to closed

In r12213.

Note: See TracTickets for help on using tickets.
swiss made software